import request from '@/utils/request'

// 查询职位管理列表
export function listWorkInfo(query) {
  return request({
    url: '/system/workInfo/list',
    method: 'get',
    params: query
  })
}

// 查询职位管理详细
export function getWorkInfo(id) {
  return request({
    url: '/system/workInfo/' + id,
    method: 'get'
  })
}

// 新增职位管理
export function addWorkInfo(data) {
  return request({
    url: '/system/workInfo',
    method: 'post',
    data: data
  })
}

// 修改职位管理
export function updateWorkInfo(data) {
  return request({
    url: '/system/workInfo',
    method: 'put',
    data: data
  })
}

// 删除职位管理
export function delWorkInfo(id) {
  return request({
    url: '/system/workInfo/' + id,
    method: 'delete'
  })
}
